const n = require("fs").readFileSync(0, "utf8").toString().split("\n").map(Number);
const coin = [25,10,5,1];
for(let i=1; i<=n[0]; i++){
    let res = [];
    for(let j=0; j<4; j++){
        res.push(Math.floor(n[i]/coin[j]));
        n[i]%=coin[j];
    }
    console.log(res.join(' '));
}